Skip to main content
GET
/
topics
/
details
/
grouped
List topics grouped by connector/entity
curl --request GET \
  --url https://api.streamkap.com/topics/details/grouped \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.streamkap.com/topics/details/grouped"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.streamkap.com/topics/details/grouped', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": [
    {
      "group_id": "<string>",
      "entity": {
        "entity_id": "<string>",
        "entity_name": "<string>",
        "connector_display_name": "<string>"
      },
      "topic_count": 123,
      "topics": {
        "result": [
          {
            "id": "<string>",
            "name": "<string>",
            "entity": {
              "entity_id": "<string>",
              "name": "<string>",
              "topic_ids": [
                "<string>"
              ],
              "topic_db_ids": [
                "<string>"
              ],
              "display_name": "<string>",
              "filtered_snapshot_language": "<string>"
            },
            "prefix": "<string>",
            "serialization": {
              "key_format": "unknown",
              "value_format": "unknown",
              "key_converter": "<string>",
              "value_converter": "<string>",
              "schema_registry_enabled": false
            },
            "tags": [
              "<string>"
            ]
          }
        ],
        "page": 1,
        "page_size": 10,
        "total": 123,
        "has_next": true
      },
      "group_type": "entity_id"
    }
  ],
  "page": 1,
  "page_size": 10,
  "total": 123,
  "has_next": true
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

entity_type
string | null

Filter by entity type(s). Single value (e.g., 'sources') or comma-separated (e.g., 'sources,transforms'). Valid types: sources, destinations, transforms, pipelines, manual.

page
integer
default:1
page_size
integer
default:10
topics_per_group
integer
default:20
topics_page
integer
default:1
sort_groups_by
enum<string>
default:name
Available options:
name,
connector,
topic_count
sort_groups_dir
enum<string>
default:asc
Available options:
asc,
desc
sort_topics_by
string
default:name
sort_topics_dir
enum<string>
default:asc
Available options:
asc,
desc
partial_name
string | null
connector
string | null
group_id
string | null

Filter to a specific group/entity_id. Requires exactly one entity_type when used.

group_topic_pages
Group Topic Pages · object | null
tag_ids
string | null

Filter by tag IDs. Comma-separated list (e.g., 'tag1,tag2'). Use with tag_filter_operation to control AND/OR logic.

tag_filter_operation
enum<string> | null
default:or

Tag filter logic: 'or' (default) matches any tag, 'and' matches all tags.

Available options:
and,
or

Response

Successful Response

Paginated response of topic groups.

result
TopicGroup · object[]
required
page
integer
default:1

Current page number

page_size
integer
default:10

Results per page

total
integer | null

Total number of results

has_next
boolean | null

Whether more pages exist